For the complete documentation index, see llms.txt. This page is also available as Markdown.

/api/site/site‑partner

get

Get site partner

Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
siteidintegerRequired
site_partner_idintegerRequired
Responses
200

success

successbooleanOptionalExample: true
get/api/site/site-partner
PHP (cURL)
<?php

$headers = array( //set your username and API key here
	'api-key: 44b5498dbcb481a0d00b404c0169af62',
	'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here

$data = array();

$request = array(
	'method' => 'GET',
	'path' => 'site/site-partner',
	'data' => $data
);

/*code below is the same for (almost) every API call */

$curl = curl_init();

$url = $url.'/api/'.$request['path'];

$query = http_build_query($request['data']);

if($request['method'] == 'GET'){
	//add query string parameters to the end of the url
	$url = $url.'?'.$query;
}else{
	//send parameters as POST fields
	curl_setopt($curl, CURLOPT_POST, 1);
	curl_setopt($curl, CURLOPT_POSTFIELDS, $query);

	if($request['method'] != 'POST'){
		$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
	}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);


$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>
200

success

{
  "success": true
}
post

Add new site partner

Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
siteidintegerRequired
loginidintegerRequired
sp_misc_expensesintegerOptionalDefault: 0
sp_percentageintegerOptionalDefault: 0
sp_on_incomestringOptionalDefault: 0
sp_flat_adjustmentstringOptionalDefault: 0
sp_flat_percentageintegerOptionalDefault: 0
start_timestringOptionalDefault: 0
end_timestringOptionalDefault: 0
Responses
200

success

successbooleanOptionalExample: true
post/api/site/site-partner
PHP (cURL)
<?php

$headers = array( //set your username and API key here
	'api-key: 44b5498dbcb481a0d00b404c0169af62',
	'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here

$data = array(
		'siteid' => '2',
		'loginid' => 1,
		'sp_misc_expenses' => 5,
		'sp_percentage' => 3,
		'sp_on_income' => 0,
		'sp_flat_adjustment' => 20,
		'sp_flat_percentage' => 15,
		'start_time' => 'NOW',
		'end_time' => '13 June 2030'
	);

$request = array(
	'method' => 'POST',
	'path' => 'site/site-partner',
	'data' => $data
);

/*code below is the same for (almost) every API call */

$curl = curl_init();

$url = $url.'/api/'.$request['path'];

$query = http_build_query($request['data']);

if($request['method'] == 'GET'){
	//add query string parameters to the end of the url
	$url = $url.'?'.$query;
}else{
	//send parameters as POST fields
	curl_setopt($curl, CURLOPT_POST, 1);
	curl_setopt($curl, CURLOPT_POSTFIELDS, $query);

	if($request['method'] != 'POST'){
		$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
	}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);


$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>
200

success

{
  "success": true,
  "result": "Site partner added"
}
delete

Delete site partner

Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
site_partner_idintegerRequired
Responses
200

success

successbooleanOptionalExample: true
delete/api/site/site-partner
PHP (cURL)
<?php

$headers = array( //set your username and API key here
	'api-key: 44b5498dbcb481a0d00b404c0169af62',
	'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here

$data = array();

$request = array(
	'method' => 'DELETE',
	'path' => 'site/site-partner',
	'data' => $data
);

/*code below is the same for (almost) every API call */

$curl = curl_init();

$url = $url.'/api/'.$request['path'];

$query = http_build_query($request['data']);

if($request['method'] == 'GET'){
	//add query string parameters to the end of the url
	$url = $url.'?'.$query;
}else{
	//send parameters as POST fields
	curl_setopt($curl, CURLOPT_POST, 1);
	curl_setopt($curl, CURLOPT_POSTFIELDS, $query);

	if($request['method'] != 'POST'){
		$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
	}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);


$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>
200

success

{
  "success": true
}
patch

Update a site partner

Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
site_partner_idintegerRequired
sp_misc_expensesintegerOptional
sp_percentageintegerOptional
sp_on_incomestringOptional
sp_flat_adjustmentstringOptional
sp_flat_percentageintegerOptional
start_timestringOptional
end_timestringOptional
Responses
200

success

successbooleanOptionalExample: true
patch/api/site/site-partner
PHP (cURL)
<?php

$headers = array( //set your username and API key here
	'api-key: 44b5498dbcb481a0d00b404c0169af62',
	'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here

$data = array();

$request = array(
	'method' => 'PATCH',
	'path' => 'site/site-partner',
	'data' => $data
);

/*code below is the same for (almost) every API call */

$curl = curl_init();

$url = $url.'/api/'.$request['path'];

$query = http_build_query($request['data']);

if($request['method'] == 'GET'){
	//add query string parameters to the end of the url
	$url = $url.'?'.$query;
}else{
	//send parameters as POST fields
	curl_setopt($curl, CURLOPT_POST, 1);
	curl_setopt($curl, CURLOPT_POSTFIELDS, $query);

	if($request['method'] != 'POST'){
		$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
	}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);


$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>
200

success

{
  "success": true
}

Last updated

Was this helpful?